pam_pkcs11 0.6.8

- Main Page
- Data Structures
- Files
- Directories

- File List
- Globals

Defines | Typedefs | Functions
alg_st.h File Reference
`#include <openssl/evp.h>`

Go to the source code of this file.

## Defines

#define | ALGORITHM_SHA512 "sha512"
#define | ALGORITHM_SHA384 "sha384"
#define | ALGORITHM_SHA256 "sha256"
#define | ALGORITHM_SHA1 "sha1"
#define | ALGORITHM_MD5 "md5"
#define | ALGORITHM_MD2 "md2"

## Typedefs

typedef EVP_MD | ALGDIGEST

## Functions

ALGORITHM_TYPE | Alg_get_alg_from_string (const char *)
const ALGDIGEST * | Alg_get_digest_by_name (ALGORITHM_TYPE hash)

## Define Documentation

#define ALGORITHM_MD2 "md2"

Definition at line 45 of file alg_st.h.

#define ALGORITHM_MD5 "md5"

Definition at line 44 of file alg_st.h.

#define ALGORITHM_SHA1 "sha1"

Definition at line 43 of file alg_st.h.

#define ALGORITHM_SHA256 "sha256"

Definition at line 42 of file alg_st.h.

#define ALGORITHM_SHA384 "sha384"

Definition at line 41 of file alg_st.h.

#define ALGORITHM_SHA512 "sha512"

Definition at line 40 of file alg_st.h.

## Typedef Documentation

typedef EVP_MD ALGDIGEST

Definition at line 39 of file alg_st.h.

## Function Documentation

ALGORITHM_TYPE Alg_get_alg_from_string | ( | const char * |  | ) |

const ALGDIGEST* Alg_get_digest_by_name | ( | ALGORITHM_TYPE | hash | ) |